Subject: Non ANSI C ???
From: [email-masked] (Alain CULOS)

2 May 1998 11:28:39 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: cygwin <[email-masked]>

Hi All,

I tried to compile this wonderfull POV-Ray package, the windows version, unfortunately it looks like it does not follow the correct C syntax (but I am only guessing as I'm a newby to C++ and mingw32).
Or is there a possibility I am misusing make and gcc command line options ?

Here is an example of the type of code that does not compile :
=========
void CheckIt (ThisOne)
  int ThisOne;
{
  DoItNow ();
}
=========
I know for a fact that if I change it to :
=========
void CheckIt (int ThisOne)
{
  DoItNow ();
}
=========
then it does work perfectly well.

Since POV-Ray is largish and I'd like to be able to use diff to compare newcoming versions, besides it being a big job, I'd like to avoid modifying every single file to comply with the correct syntax.
Is there any command line option that allows the 'incorrect' syntax ?
Else, is there any commonly available utility to convert all files automatically for me ?

Many thanks for any tip or pointer,
Al.

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".